package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.activity.GjcWeighingRecordDetailsActivity
import com.lukouguoji.gjc.databinding.ItemGjcWeighingRecordBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcWeighingRecordBean

/**
 * 国际出港计重记录列表 ViewHolder
 */
class GjcWeighingRecordViewHolder(view: View) :
    BaseViewHolder<GjcWeighingRecordBean, ItemGjcWeighingRecordBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        // 整行点击跳转到计重明细页
        binding.ll.setOnClickListener {
            GjcWeighingRecordDetailsActivity.start(it.context, bean)
        }
    }
}
